> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除企业蓝图（软删除）

<div id="permissions">
  ## 权限
</div>

需要在企业级别拥有 `ManageAccountSnapshots` 权限的服务用户。

<div id="behavior">
  ## 行为
</div>

将企业蓝图软删除。


## OpenAPI

````yaml zh/v3-openapi.yaml DELETE /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}:
    delete:
      tags:
        - snapshot_setup
      summary: 删除企业蓝图（软删除）
      operationId: >-
        delete_enterprise_blueprint_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__delete
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
      responses:
        '204':
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````